# Adapt Authoring Tool

[![Build Status](https://drone.autonomic.zone/api/badges/compose-stacks/adapt_authoring/status.svg)](https://drone.autonomic.zone/compose-stacks/adapt_authoring)

User interface for authoring eLearning courses using the Adapt framework • https://github.com/adaptlearning/adapt_authoring

## Basic usage

1. Set up Docker Swarm and [`abra`]
2. Deploy [`compose-stacks/traefik`]
3. `git clone https://git.autonomic.zone/compose-stacks/adapt_authoring.git && cd adapt_authoring`
3. `cp .envrc.sample .envrc`
4. Edit `.envrc` - be sure to change `DOMAIN` to something that resolves to
   your Docker swarm box
5. Generate secrets:
   ```
   abra secret_generate admin_password v1
   abra secret_generate secret_key v1
   ```
6. `direnv allow` (or `. .envrc`)
7. `abra deploy`

[`abra`]: https://git.autonomic.zone/autonomic-cooperative/abra
[`compose-stacks/traefik`]: https://git.autonomic.zone/compose-stacks/traefik
